import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { ISavedSearches } from 'app/shared/model/saved-searches.model';

@Component({
  selector: 'jhi-saved-searches-detail',
  templateUrl: './saved-searches-detail.component.html',
})
export class SavedSearchesDetailComponent implements OnInit {
  savedSearches: ISavedSearches | null = null;

  constructor(protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ savedSearches }) => (this.savedSearches = savedSearches));
  }

  previousState(): void {
    window.history.back();
  }
}
