import { IWatchListEntry } from './watch-list-entry.model';
import { CheckFrequency } from './enumerations/check-frequency.model'
export interface IUserWatchList {
  id?: number;
  name?: string;
  checkFrequency?: CheckFrequency;
  userIdLogin?: string;
  userIdId?: number;
}

export class UserWatchList implements IUserWatchList {
  constructor(
    public id?: number,
    public name?: string,
    public checkFrequency?: CheckFrequency,
    public userIdLogin?: string,
    public userIdId?: number
  ) {}
}

export interface UserWatchListWithContent {
  userWatchList: IUserWatchList;
  exercises: Array<IWatchListEntry>;
}
